package com.huiju.estateagents.redpack.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.redpack.entity.TaRedPacket;

/**
 * <p>
 * 红包助力活动  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
public interface ITaRedPacketService extends IService<TaRedPacket> {

    /**
     * 初始化红包信息
     *
     * @param record
     * @return
     */
    ResponseBean initializeRedPacket(TaRedPacket record);


    /**
     * 更新红包信息
     *
     * @param taRedPacket
     * @return
     */
    ResponseBean updateRedPacket(TaRedPacket taRedPacket);

    /**
     * 根据ID查询红包图片信息
     *
     * @param record
     * @return
     */
    TaRedPacket getRedPacketImages(TaRedPacket record);

}
