package com.huiju.estateagents.common;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;
import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class CommonUtils {
    /**
     * 金额校验
     *
     * @param str
     * @return
     */
    public static boolean isAmount(String str) {
        Pattern pattern = Pattern.compile("^(([1-9]{1}\\d*)|([0]{1}))(\\.(\\d){0,2})?$"); // 判断小数点后2位的数字的正则表达式
        Matcher match = pattern.matcher(str);
        if (match.matches() == false) {
            return false;
        } else {
            return true;
        }
    }


    /**
     * 获取uuid
     *
     * @return
     */
    public static String getUUIDS() {
        String uuid = UUID.randomUUID().toString().replace("-", "");
        return uuid;
    }

    public static String generateTradeNo(String tradeType){
        String sdf = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());
        int randNum = (int) (new Random().nextDouble() * (9999 - 1000 + 1)) + 1000;// 获取5位随机数
        return tradeType+sdf+randNum;
    }
}
